

# Examples 

##  Calculating \(MSE\) given \(F\), \(df_{\text{group}}\), and \(SS\)

Given:


\(F = MS_g/MS_e\)

Where \(g\) indicates the group, or treatment. Rearranging this equation
gives: \(MS_e=MS_g/F\)

Given

\(MS_x = SS_x/df_x\)

Substitute \(MS_e/df_e\) for \(SS_e\) in the first equation

\(F=\frac{SS_g/df_g}{MS_e}\)

Then solve for \(MS_e\)

\(MS_e = \frac{SS_g}{df_g\times F}\)


\(df_{\text{total}}=(df_a+1)\times(df_b+1)...\times(n)-1\)

Which depends on the experimental design:

For factors a, b... (usually 1 or 2, sometimes 3) where \(n\) is the
number of replicates within each treatment combination.

* One-way anova \(df_{\text{total}}=an-1\); where \(a\) is the number of
    treatments
* Two-way anova without replication \(df_{\text{total}}=(a+1)(b+1)-1\) also known as ’’randomized complete block design’’ (RCBD)
* Two-way anova with \(n\) replicates \(df_{\text{total}}=(a+1)(b+1)(n)-1\) aka ’’RCBD with replication’’

## Application

As an example, we will use the first ANOVA from Table 3 in \cite{starr2008pra}.
The results are from one (two?) factor ANOVA with repeated measures,
with treatment and week as the factors and no replication.



We will calculate MSE from the \(SS_{\text{treatment}}\)
\(df_{\text{treatment}}\), and \(F\)-value given in the table; these are
\(109.58\), \(2\), and \(0.570\), respectively; \(df_{\text{weeks}}\) is given
as \(10\).

For the 1997 *Eriphorium vaginatum*, the mean \(A_{max}\) in table 4 is
\(13.49\).

Calculate \(MS_e\):

\(MS_e = \frac{109.58}{0.57 \times 2} = 96.12\)
