
# Solutions

Below is a list of transformations to \(SE\) where \(SE=\sqrt{MSE/n}\) \cite{Saville_2003} that I am considering, feedback appreciated; below, I assume that \(\alpha=0.05\) so \(1-^{\alpha}/_2=0.975\)  and variables are normally distributed unless otherwise stated:


## given \(P\), \(n\), and treatment means \(\bar X_1\) and \(\bar X_2\) 

\(SE=\frac{\bar X_1-\bar X_2}{t_{(1-\frac{P}{2},2n-2)}\sqrt{2/n}}\)

## given LSD \cite{Rosenberg_2004}, \(\alpha\), \(n\), \(b\) where \(b\) is number of blocks, and \(n=b\) by default for RCBD

\(SE = \frac{LSD}{t_{(0.975,n)}\sqrt{2bn}}\)

## given MSD (minimum significant difference) \cite{Wang_2000}, \(n\), \(\alpha\), df = \(2n-2\)

\(SE = \frac{MSD}{t_{(0.975, 2n-2)}\sqrt{2}}\)

## given a 95% Confidence Interval \cite{Saville_2003} (measured from mean to upper or lower confidence limit), \(\alpha\), and \(n\) 

\(SE = \frac{CI}{t_{(\alpha/2,n)}}\)

## given Tukey's HSD, \(n\), where \(q\) is the 'studentized range statistic', 

\(SE = \frac{HSD}{q_{(0.975,n)}}\) 


# A summary of equations that can be to convert statistics from \(P\), \(LSD\), or \(MSD\) to \(SE\)

These are used in the Predictive Ecosystem Analyzer (PEcAn) ecosystem modeling workflow software \cite{LeBauer_2013}. Many statistical transformations are implemented in the [transformstats](https://github.com/PecanProject/pecan/blob/master/utils/R/transformstats.R) function within the PEcAn.utils package. This function is described in more detail below. However, transformations that require detailed knowledge of the experimental design have not yet been automated within PEcAn (and the BETYdb is not designed to handle all of the information required to get the most precise estimate of uncertainty).


